
package net.sf.l2j.gameserver.clientpackets;

import java.io.IOException;
import java.util.logging.Logger;

import net.sf.l2j.gameserver.ClientThread;
import net.sf.l2j.gameserver.serverpackets.NpcInfo;
import net.sf.l2j.gameserver.serverpackets.PetInfo;

public class RequestChangePetName extends ClientBasePacket{
	private static final String REQUESTCHANGEPETNAME__C__89 = "[C] 89 RequestChangePetName";
	private static Logger _log = Logger.getLogger(RequestChangePetName.class.getName());
	
	public RequestChangePetName(byte[] decrypt, ClientThread client) throws IOException
	{
		super(decrypt);
		if (client.getActiveChar().getPet() != null)
		{
			if (client.getActiveChar().getPet().getName()==null)
			{
				client.getActiveChar().getPet().setName(readS());
				client.getActiveChar().getPet().broadcastPacket(new NpcInfo(client.getActiveChar().getPet()));
				client.getActiveChar().sendPacket(new PetInfo(client.getActiveChar().getPet()));
				
			}
		}
	} 
	
	public String getType()
	{
		return REQUESTCHANGEPETNAME__C__89;
	}
}