
package net.sf.l2j.gameserver.clientpackets;
import net.sf.l2j.gameserver.model.L2World;
import java.io.IOException;
import java.util.logging.Logger;
import net.sf.l2j.gameserver.model.L2Character;
import net.sf.l2j.gameserver.model.L2ItemInstance;
import net.sf.l2j.gameserver.ClientThread;


public class RequestPetGetItem extends ClientBasePacket
{

	private static Logger _log = Logger.getLogger(RequestPetGetItem.class.getName());
	private static final String _C__8f_REQUESTPETGETITEM= "[C] 8F RequestPetGetItem";
	
	public RequestPetGetItem(byte[] decrypt, ClientThread client) throws IOException
	{
		super(decrypt);
		int objectId = readD();
		L2World world = L2World.getInstance();
		L2ItemInstance item = (L2ItemInstance)world.findObject(objectId);
		client.getActiveChar().getPet().setTarget(item);
		client.getActiveChar().getPet().setCurrentState(L2Character.STATE_PICKUP_ITEM);
		client.getActiveChar().getPet().moveTo(item.getX(),item.getY(),item.getZ(),0);
		
		
	
	}

	public String getType()
	{
		return _C__8f_REQUESTPETGETITEM;
	}

}
