
package net.sf.l2j.gameserver.serverpackets;

import net.sf.l2j.gameserver.model.L2PcInstance;


public class PartySmallWindowDelete extends ServerBasePacket {
	private static final String _S__66_PARTYSMALLWINDOWDELETE = "[S] 66 PartySmallWindowDelete";
	//private L2PcInstance[] _partyMembers;
	private L2PcInstance _member;
	public PartySmallWindowDelete(L2PcInstance member)
	{
		_member = member;
	}
	
	public byte[] getContent()
	{
		writeC(0x66);
		writeD(_member.getObjectId());
		writeS(_member.getName());
		return getBytes();
	}

	/* (non-Javadoc)
	 * @see net.sf.l2j.gameserver.serverpackets.ServerBasePacket#getType()
	 */
	public String getType()
	{
		return _S__66_PARTYSMALLWINDOWDELETE;
	}
}
