
package net.sf.l2j.gameserver.serverpackets;
import net.sf.l2j.gameserver.model.L2PetInstance;

public class PetStatusUpdate extends ServerBasePacket{
	private static final String _S__CE_PETSTATUSSHOW = "[S] CE PetStatusShow";
	
	private L2PetInstance _pet;
	private boolean _namechanged;
	
	public PetStatusUpdate(L2PetInstance pet,boolean namechanged)
	{
		_pet=pet;
		_namechanged=namechanged;
	}
	public byte[] getContent()
	{
		writeC(0xCE);
		writeD(_pet.getPetId());
		writeD(_pet.getObjectId());
		writeD(_pet.getX());
		writeD(_pet.getY());
		writeD(_pet.getZ());
		if (_namechanged)
			{
				writeS(_pet.getTitle());
			}
			else
			{
				writeS("");
			}
		writeD(_pet.getCurrentFed());
		writeD(_pet.getMaxFed());
		writeD((int)_pet.getCurrentHp());
		writeD((int)_pet.getMaxHp());
		writeD((int)_pet.getCurrentMp());
		writeD((int)_pet.getMaxMp());
		writeD(_pet.getLevel());
		writeD(_pet.getExp());
		
		
		
		
		
		
		return getBytes();
	}
	public String getType()
	{
		return _S__CE_PETSTATUSSHOW;
	}
}
