/*
 * $Header: /var/lib/gforge/chroot/cvsroot/nextg/CVSROOT/L2_Gameserver/java/net/sf/l2j/gameserver/model/L2NpcData.java,v 1.3 2004/08/05 00:53:40 nextg Exp $
 *
 * $Author: nextg $
 * $Date: 2004/08/05 00:53:40 $
 * $Revision: 1.3 $
 * $Log: L2NpcData.java,v $
 * Revision 1.3  2004/08/05 00:53:40  nextg
 * RuSh
 *
 * Revision 1.2  2004/07/23 21:28:08  l2chef
 * renamed method
 *
 * Revision 1.1  2004/07/23 01:50:11  l2chef
 * renamed L2NpcDataTable
 *
 * Revision 1.2  2004/07/13 22:54:18  l2chef
 * removed empty constructor
 *
 * Revision 1.1  2004/07/11 11:47:48  l2chef
 * new table parser ... (NightMarez)
 *
 * Revision 1.1  2004/07/08 22:20:28  l2chef
 * teleporter npcs added by NightMarez
 *
 * Revision 1.1  2004/07/07 22:09:51 NightMarez.
 * Initial release
 *
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 *
 * http://www.gnu.org/copyleft/gpl.html
 */
package net.sf.l2j.gameserver.model;

/**
 * This class ...
 * 
 * @version $Revision: 1.3 $ $Date: 2004/08/05 00:53:40 $
 */
public class L2NpcData
{
	private int _id;
	private String _name;
	private String _sex;
	private int _level;
	private String _npcType;
	private int _attackrange;
	private int _hp;
	private int _mp;
	private int _exp;
	private int _sp;
	private int _patk;
	private int _pdef;
	private int _matk;
	private int _mdef;
	private int _atkspd;
	private int _agro;
	private int _matkspd;
	private int _rhand;
	private int _lhand;
	private int _armor;
	private int _walkspd;
	private int _runspd;

	/**
	 * @return Returns the agro.
	 */
	public int getAgro()
	{
		return _agro;
	}
	/**
	 * @return Returns the armor.
	 */
	public int getArmor()
	{
		return _armor;
	}
	/**
	 * @return Returns the atkspd.
	 */
	public int getAtkspd()
	{
		return _atkspd;
	}
	/**
	 * @return Returns the attackrange.
	 */
	public int getAttackrange()
	{
		return _attackrange;
	}
	/**
	 * @return Returns the exp.
	 */
	public int getExp()
	{
		return _exp;
	}
	/**
	 * @return Returns the hp.
	 */
	public int getHp()
	{
		return _hp;
	}
	/**
	 * @return Returns the id.
	 */
	public int getId()
	{
		return _id;
	}
	/**
	 * @return Returns the level.
	 */
	public int getLevel()
	{
		return _level;
	}
	/**
	 * @return Returns the lhand.
	 */
	public int getLhand()
	{
		return _lhand;
	}
	/**
	 * @return Returns the matk.
	 */
	public int getMatk()
	{
		return _matk;
	}
	/**
	 * @return Returns the matkspd.
	 */
	public int getMatkspd()
	{
		return _matkspd;
	}
	/**
	 * @return Returns the mdef.
	 */
	public int getMdef()
	{
		return _mdef;
	}
	/**
	 * @return Returns the mp.
	 */
	public int getMp()
	{
		return _mp;
	}
	/**
	 * @return Returns the name.
	 */
	public String getName()
	{
		return _name;
	}
	/**
	 * @return Returns the npc.
	 */
	public String getNpcType()
	{
		return _npcType;
	}
	/**
	 * @return Returns the patk.
	 */
	public int getPatk()
	{
		return _patk;
	}
	/**
	 * @return Returns the pdef.
	 */
	public int getPdef()
	{
		return _pdef;
	}
	/**
	 * @return Returns the rhand.
	 */
	public int getRhand()
	{
		return _rhand;
	}
	/**
	 * @return Returns the runspd.
	 */
	public int getRunspd()
	{
		return _runspd;
	}
	/**
	 * @return Returns the sex.
	 */
	public String getSex()
	{
		return _sex;
	}
	/**
	 * @return Returns the sp.
	 */
	public int getSp()
	{
		return _sp;
	}
	/**
	 * @return Returns the walkspd.
	 */
	public int getWalkspd()
	{
		return _walkspd;
	}
	/**
	 * @param agro
	 *            The agro to set.
	 */
	public void setAgro(int agro)
	{
		_agro = agro;
	}
	/**
	 * @param armor
	 *            The armor to set.
	 */
	public void setArmor(int armor)
	{
		_armor = armor;
	}
	/**
	 * @param atkspd
	 *            The atkspd to set.
	 */
	public void setAtkspd(int atkspd)
	{
		_atkspd = atkspd;
	}
	/**
	 * @param attackrange
	 *            The attackrange to set.
	 */
	public void setAttackrange(int attackrange)
	{
		_attackrange = attackrange;
	}
	/**
	 * @param exp
	 *            The exp to set.
	 */
	public void setExp(int exp)
	{
		_exp = exp;
	}
	/**
	 * @param hp
	 *            The hp to set.
	 */
	public void setHp(int hp)
	{
		_hp = hp;
	}
	/**
	 * @param id
	 *            The id to set.
	 */
	public void setId(int id)
	{
		_id = id;
	}
	/**
	 * @param level
	 *            The level to set.
	 */
	public void setLevel(int level)
	{
		_level = level;
	}
	/**
	 * @param lhand
	 *            The lhand to set.
	 */
	public void setLhand(int lhand)
	{
		_lhand = lhand;
	}
	/**
	 * @param matk
	 *            The matk to set.
	 */
	public void setMatk(int matk)
	{
		_matk = matk;
	}
	/**
	 * @param matkspd
	 *            The matkspd to set.
	 */
	public void setMatkspd(int matkspd)
	{
		_matkspd = matkspd;
	}
	/**
	 * @param mdef
	 *            The mdef to set.
	 */
	public void setMdef(int mdef)
	{
		_mdef = mdef;
	}
	/**
	 * @param mp
	 *            The mp to set.
	 */
	public void setMp(int mp)
	{
		_mp = mp;
	}
	/**
	 * @param name
	 *            The name to set.
	 */
	public void setName(String name)
	{
		_name = name;
	}
	/**
	 * @param npc
	 *            The npc to set.
	 */
	public void setNpcType(String npc)
	{
		_npcType = npc;
	}
	/**
	 * @param patk
	 *            The patk to set.
	 */
	public void setPatk(int patk)
	{
		_patk = patk;
	}
	/**
	 * @param pdef
	 *            The pdef to set.
	 */
	public void setPdef(int pdef)
	{
		_pdef = pdef;
	}
	/**
	 * @param rhand
	 *            The rhand to set.
	 */
	public void setRhand(int rhand)
	{
		_rhand = rhand;
	}
	/**
	 * @param runspd
	 *            The runspd to set.
	 */
	public void setRunspd(int runspd)
	{
		_runspd = runspd;
	}
	/**
	 * @param sex
	 *            The sex to set.
	 */
	public void setSex(String sex)
	{
		_sex = sex;
	}
	/**
	 * @param sp
	 *            The sp to set.
	 */
	public void setSp(int sp)
	{
		_sp = sp;
	}
	/**
	 * @param walkspd
	 *            The walkspd to set.
	 */
	public void setWalkspd(int walkspd)
	{
		_walkspd = walkspd;
	}
}