
package net.sf.l2j.gameserver.serverpackets;

import net.sf.l2j.gameserver.model.L2PcInstance;


public class PartySmallWindowUpdate extends ServerBasePacket {
	private static final String _S__67_PARTYSMALLWINDOWUPDATE = "[S] 67 PartySmallWindowUpdate";
	
	private L2PcInstance _member;
	public PartySmallWindowUpdate(L2PcInstance member)
	{
		_member = member;
	}
	public byte[] getContent()
	{
		writeC(0x67);
		
		writeD(_member.getObjectId());
		writeS(_member.getName());
		writeD((int) _member.getCurrentHp());
		writeD(_member.getMaxHp());
		writeD((int) _member.getCurrentMp());
		writeD(_member.getMaxMp());
		writeD(_member.getClassId());
		writeD(_member.getLevel());

		return getBytes();
	}

	/* (non-Javadoc)
	 * @see net.sf.l2j.gameserver.serverpackets.ServerBasePacket#getType()
	 */
	public String getType()
	{
		return _S__67_PARTYSMALLWINDOWUPDATE;
	}
}
