/*
 * $Header: /var/lib/gforge/chroot/cvsroot/nextg/CVSROOT/L2_Gameserver/java/net/sf/l2j/gameserver/templates/L2Npc.java,v 1.3 2004/08/05 00:53:40 nextg Exp $
 *
 * $Author: nextg $
 * $Date: 2004/08/05 00:53:40 $
 * $Revision: 1.3 $
 * $Log: L2Npc.java,v $
 * Revision 1.3  2004/08/05 00:53:40  nextg
 * RuSh
 *
 * Revision 1.3  2004/07/13 22:51:12  l2chef
 * removed empty constructor
 *
 * Revision 1.2  2004/06/27 08:51:43  jeichhorn
 * Added copyright notice
 *
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 *
 * http://www.gnu.org/copyleft/gpl.html
 */
package net.sf.l2j.gameserver.templates;

import java.io.Serializable;

/**
 * This class ...
 * 
 * @version $Revision: 1.3 $ $Date: 2004/08/05 00:53:40 $
 */
public class L2Npc implements Serializable
{
	private int _npcId;
	private String _name;
	private String _type;
	private double _radius;
	private double _height;
	
	/**
	 * @param id
	 */
	public void setNpcId(int id)
	{
		_npcId = id;
	}
	
	/**
	 * @param string
	 */
	public void setName(String name)
	{
		_name = name;
	}

	/**
	 * @param string
	 */
	public void setType(String type)
	{
		_type = type;
	}

	/**
	 * @param radius
	 */
	public void setRadius(double radius)
	{
		_radius = radius;
	}

	/**
	 * @param height
	 */
	public void setHeight(double height)
	{
		_height = height;
	}
	/**
	 * @return
	 */
	public double getHeight()
	{
		return _height;
	}

	/**
	 * @return
	 */
	public String getName()
	{
		return _name;
	}

	/**
	 * @return
	 */
	public int getNpcId()
	{
		return _npcId;
	}

	/**
	 * @return
	 */
	public double getRadius()
	{
		return _radius;
	}

	/**
	 * @return
	 */
	public String getType()
	{
		return _type;
	}

}
